
package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import jakarta.servlet.http.HttpServletResponse;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.pojo.entity.XmBgrzEntity;
import org.sky.scientific.pojo.vo.XmBgrzVO;

import java.io.FileOutputStream;

/**
 * 项目-变更记录 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface IXmBgrzService extends BaseService<XmBgrzEntity> {

    boolean saveBgrz(XmBgrzEntity xmBgrz);

	IPage<XmBgrzVO> selectBgrzPage(XmBgrzEntity xmBgrz, IPage<XmBgrzVO> page);

	void exportXmBgrz(HttpServletResponse response, XmBgrzEntity dto);

	void exportXmBgrzDoc(FileOutputStream outputStream, XmBgrzVO vo);
}
